create table "${tablePrefix}AssocManyToManyOrderedTarget" ("mofId" bigint not null, "childType" varchar(128) not null, "childId" bigint not null, "ordinal" integer not null, primary key ("mofId", "ordinal"));
create table "${tablePrefix}AssocManyToManyOrdered" ("mofId" bigint not null, "type" varchar(128) not null, "reversed" bit not null, "sourceType" varchar(128), "sourceId" bigint, primary key ("mofId"));
create table "${tablePrefix}AssocManyToManyTarget" ("mofId" bigint not null, "childType" varchar(128) not null, "childId" bigint not null, primary key ("mofId", "childType", "childId"));
create table "${tablePrefix}AssocManyToMany" ("mofId" bigint not null, "type" varchar(128) not null, "reversed" bit not null, "sourceType" varchar(128), "sourceId" bigint, primary key ("mofId"));
create table "${tablePrefix}AssocOneToManyChildren" ("mofId" bigint not null, "childType" varchar(128) not null, "childId" bigint not null, primary key ("mofId", "childType", "childId"));
create table "${tablePrefix}AssocOneToManyHCChildren" ("mofId" bigint not null, "childType" varchar(128) not null, "childId" bigint not null, primary key ("mofId", "childType", "childId"));
create table "${tablePrefix}AssocOneToManyHC" ("mofId" bigint not null, "type" varchar(128) not null, "reversed" bit not null, "parentType" varchar(128), "parentId" bigint, primary key ("mofId"));
create table "${tablePrefix}AssocOneToManyOrderedChildren" ("mofId" bigint not null, "childType" varchar(128) not null, "childId" bigint not null, "ordinal" integer not null, primary key ("mofId", "ordinal"));
create table "${tablePrefix}AssocOneToManyOrdered" ("mofId" bigint not null, "type" varchar(128) not null, "reversed" bit not null, "parentType" varchar(128), "parentId" bigint, primary key ("mofId"));
create table "${tablePrefix}AssocOneToMany" ("mofId" bigint not null, "type" varchar(128) not null, "reversed" bit not null, "parentType" varchar(128), "parentId" bigint, primary key ("mofId"));
create table "${tablePrefix}AssocOneToOne" ("mofId" bigint not null, "type" varchar(128) not null, "parentType" varchar(128), "parentId" bigint, "childType" varchar(128), "childId" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Argument" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "callAction" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "value$Comp$CwmArgument" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_CallAction" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "operation" bigint, "actualArgument" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Event" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "parameter" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Interface" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Method" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "isQuery" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "parameter" bigint, "specification" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "body$Comp$CwmMethod" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Operation" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "isQuery" bit default false, "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "parameter" bigint, "method" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "calledOperation_CallAction" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Behavioral_Parameter" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "kind" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "behavioralFeature" bigint, "event" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "defaultValue$Comp$CwmParameter" bigint, primary key ("mofId"));
create table "${tablePrefix}Config_FarragoConfig" ("mofId" bigint not null, "name" varchar(128), "fennelDisabled" bit default false, "userCatalogEnabled" bit default false, "codeCacheMaxBytes" bigint default 0, "checkpointInterval" integer default 0, "serverRmiRegistryPort" integer default 0, "serverSingleListenerPort" integer default 0, "calcVirtualMachine" varchar(128), "javaCompilerClassName" varchar(128), "connectionTimeoutMillis" bigint, "serverHttpPort" integer default 0, "fennelConfig" bigint, primary key ("mofId"));
create table "${tablePrefix}Config_FennelConfig" ("mofId" bigint not null, "databaseInitSize" integer default 0, "databaseIncrementSize" integer default 0, "databaseMaxSize" integer default 0, "tempInitSize" integer default 0, "tempIncrementSize" integer default 0, "tempMaxSize" integer default 0, "databaseShadowLogInitSize" integer default 0, "databaseShadowLogIncrementSize" integer default 0, "databaseTxnLogInitSize" integer default 0, "databaseTxnLogIncrementSize" integer default 0, "cachePagesMax" integer default 0, "cachePagesInit" integer default 0, "cachePageSize" integer default 0, "groupCommitInterval" integer default 0, "resourceDir" longvarchar, "jniHandleTraceFile" longvarchar, "expectedConcurrentStatements" integer default 0, "cacheReservePercentage" integer default 0, "deviceSchedulerType" varchar(128), "freshmenPageQueuePercentage" integer, "pageHistoryQueuePercentage" integer, "prefetchPagesMax" integer, "prefetchThrottleRate" integer, "processorCacheBytes" integer, "farragoConfig" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Attribute" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_BooleanExpression" ("mofId" bigint not null, "body" longvarchar, "language" varchar(128), "body$Comp$CwmConstraint" bigint, "actionCondition$Comp$CwmTrigger" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Class" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Constraint" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "constrainedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypeConstraints_ConstrainedStereotype" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "body$Comp$CwmConstraint" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_DataType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Dependency" ("mofId" bigint not null, "name" varchar(132), "visibility" varchar(128), "kind" varchar(132), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "client" bigint, "supplier" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Expression" ("mofId" bigint not null, "body" longvarchar, "language" varchar(128), "initialValue$Comp$CwmAttribute" bigint, "value$Comp$CwmArgument" bigint, "defaultValue$Comp$CwmParameter" bigint, "value$Comp$CwmEnumerationLiteral" bigint, "memberCase$Comp$CwmUnionMember" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Model" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_MultiplicityRange" ("mofId" bigint not null, "lower" integer default 0, "upper" integer default 0, "multiplicity" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Multiplicity" ("mofId" bigint not null, "range" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Package" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_ProcedureExpression" ("mofId" bigint not null, "body" longvarchar, "language" varchar(128), "body$Comp$CwmMethod" bigint, "actionStatement$Comp$CwmTrigger" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Stereotype" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "baseClass" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "extendedElement" bigint, "requiredTag" bigint, "stereotypeConstraint" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_Subsystem" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Core_TaggedValue" ("mofId" bigint not null, "tag" varchar(128), "value" longvarchar, "modelElement" bigint, "stereotype" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_EnumerationLiteral" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "enumeration" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "value$Comp$CwmEnumerationLiteral" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_Enumeration" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isOrdered" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "literal" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_QueryExpression" ("mofId" bigint not null, "body" longvarchar, "language" varchar(128), "queryExpression$Comp$CwmView" bigint, "query$Comp$CwmQueryColumnSet" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_TypeAlias" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_UnionMember" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "isDefault" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, "memberCase$Comp$CwmUnionMember" bigint, primary key ("mofId"));
create table "${tablePrefix}DataTypes_Union" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "discriminator" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Instance_DataValue" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "value" longvarchar, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "classifier" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "slotValue_ValueSlot" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Instance_Extent" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Instance_Object" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "classifier" bigint, "slot" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "slotValue_ValueSlot" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Instance_Slot" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "object" bigint, "value" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}KeysIndexes_Index" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isPartitioning" bit default false, "isSorted" bit default false, "isUnique" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "indexedFeature" bigint, "spannedClass" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}KeysIndexes_IndexedFeature" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAscending" bit, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "index" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}KeysIndexes_KeyRelationship" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "uniqueKey" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}KeysIndexes_UniqueKey" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "keyRelationship" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_ColumnHistogramBar" ("mofId" bigint not null, "startingValue" varchar(32768), "valueCount" bigint default 0, "ordinal" integer default 0, "histogram" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_ColumnHistogram" ("mofId" bigint not null, "analyzeTime" varchar(128), "percentageSampled" float default 0, "barCount" integer default 0, "rowsPerBar" bigint default 0, "rowsLastBar" bigint default 0, "sampleSize" bigint default 0, "distinctValueCount" bigint, "distinctValueCountEstimated" bit default false, "column" bigint, "bar" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_DataServer" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "defaultCharacterSetName" varchar(128), "defaultCollationName" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "type" varchar(128), "version" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "tagAnnotation" bigint, "storageOptions" bigint, "wrapper" bigint, "columnSet" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_DataWrapper" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "libraryFile" longvarchar, "language" varchar(128), "foreign" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "tagAnnotation" bigint, "storageOptions" bigint, "server" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_ElementWithStorageOptions" ("mofId" bigint not null, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "tagAnnotation" bigint, "storageOptions" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_ForeignTable" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isTemporary" bit default false, "temporaryScope" varchar(128), "isSystem" bit default false, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "modality" varchar(128), "analyzeTime" varchar(128), "rowCount" bigint, "lastAnalyzeRowCount" bigint, "deletedRowCount" bigint, "allowedAccess" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "trigger" bigint, "tagAnnotation" bigint, "storageOptions" bigint, "rowCountStats" bigint, "sampleDataset" bigint, "server" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_IndexStatistics" ("mofId" bigint not null, "analyzeTime" varchar(128), "pageCount" bigint default 0, "localIndex" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_Label" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "commitSequenceNumber" bigint, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "tagAnnotation" bigint, "parentLabel" bigint, "alias" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_LocalIndexColumn" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAscending" bit, "ordinal" integer default 0, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "index" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_LocalIndex" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isPartitioning" bit default false, "isSorted" bit default false, "isUnique" bit default false, "filterCondition" longvarchar, "isNullable" bit default false, "autoUpdate" bit default false, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "isClustered" bit default false, "storageId" varchar(128), "analyzeTime" varchar(128), "pageCount" bigint, "isInvalid" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "indexedFeature" bigint, "spannedClass" bigint, "tagAnnotation" bigint, "indexStats" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_LocalTable" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isTemporary" bit default false, "temporaryScope" varchar(128), "isSystem" bit default false, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "modality" varchar(128), "analyzeTime" varchar(128), "rowCount" bigint, "lastAnalyzeRowCount" bigint, "deletedRowCount" bigint, "allowedAccess" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "trigger" bigint, "tagAnnotation" bigint, "storageOptions" bigint, "rowCountStats" bigint, "sampleDataset" bigint, "server" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_RecoveryReference" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "recoveryType" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_RowCountStatistics" ("mofId" bigint not null, "dmlTimestamp" varchar(128), "rowCount" bigint, "deletedRowCount" bigint, "analyzeTimestamp" varchar(128), "analyzeRowCount" bigint, "columnSet" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_StorageOption" ("mofId" bigint not null, "name" varchar(128), "value" longvarchar, "storedElement" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_StoredColumn" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "precision" integer, "scale" integer, "isNullable" varchar(128), "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "ordinal" integer default 0, "generatedAlways" bit default false, "isDeclaredNullable" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "optionScopeColumnSet" bigint, "referencedTableType" bigint, "tagAnnotation" bigint, "keyComponent" bigint, "histogram" bigint, "storageOptions" bigint, "sequence" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, primary key ("mofId"));
create table "${tablePrefix}Med_SystemBackup" ("mofId" bigint not null, "type" varchar(128), "commitSequenceNumber" bigint default 0, "startTimestamp" varchar(128), "endTimestamp" varchar(128), "status" varchar(128), primary key ("mofId"));
create table "${tablePrefix}Med_ViewColumn" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "precision" integer, "scale" integer, "isNullable" varchar(128), "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "ordinal" integer default 0, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "optionScopeColumnSet" bigint, "referencedTableType" bigint, "tagAnnotation" bigint, "keyComponent" bigint, "histogram" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Catalog" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "defaultCharacterSetName" varchar(128), "defaultCollationName" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_CheckConstraint" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deferrability" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "constrainedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypeConstraints_ConstrainedStereotype" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "body$Comp$CwmConstraint" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_ColumnSet" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_ColumnValue" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "value" longvarchar, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "classifier" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "slotValue_ValueSlot" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Column" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "precision" integer, "scale" integer, "isNullable" varchar(128), "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "optionScopeColumnSet" bigint, "referencedTableType" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_ForeignKey" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deleteRule" varchar(128), "updateRule" varchar(128), "deferrability" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "uniqueKey" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_NamedColumnSet" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_PrimaryKey" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deferrability" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "keyRelationship" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Procedure" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "isQuery" bit default false, "type" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "parameter" bigint, "specification" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "body$Comp$CwmMethod" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_QueryColumnSet" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, "query$Comp$CwmQueryColumnSet" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_RowSet" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Row" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "classifier" bigint, "slot" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "slotValue_ValueSlot" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLDistinctType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "length" integer, "precision" integer, "scale" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "type" bigint, "sqlSimpleType" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLIndexColumn" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAscending" bit, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "index" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLIndex" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isPartitioning" bit default false, "isSorted" bit default false, "isUnique" bit default false, "filterCondition" longvarchar, "isNullable" bit default false, "autoUpdate" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "indexedFeature" bigint, "spannedClass" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLParameter" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "kind" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "behavioralFeature" bigint, "event" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "defaultValue$Comp$CwmParameter" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLSimpleType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "characterMaximumLength" integer, "characterOctetLength" integer, "numericPrecision" integer, "numericPrecisionRadix" integer, "numericScale" integer, "dateTimePrecision" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "distinctTypeHasSimpleType_SqlDistinctType" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_SQLStructuredType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "referencingColumn" bigint, "columnSet" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Schema" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Table" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isTemporary" bit default false, "temporaryScope" varchar(128), "isSystem" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "trigger" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_Trigger" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "eventManipulation" varchar(128), "actionOrientation" varchar(128), "conditionTiming" varchar(128), "conditionReferenceNewTable" varchar(128), "conditionReferenceOldTable" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "table" bigint, "usedColumnSet" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "actionCondition$Comp$CwmTrigger" bigint, "actionStatement$Comp$CwmTrigger" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_UniqueConstraint" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deferrability" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "keyRelationship" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Relational_View" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isReadOnly" bit default false, "checkOption" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, "queryExpression$Comp$CwmView" bigint, primary key ("mofId"));
create table "${tablePrefix}Security_Grant" ("mofId" bigint not null, "action" varchar(128), "withGrantOption" bit default false, "grantee" bigint, "grantor" bigint, "element" bigint, primary key ("mofId"));
create table "${tablePrefix}Security_Role" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "tagAnnotation" bigint, "granteePrivilege" bigint, "grantorPrivilege" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Security_User" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "encryptedPassword" varchar(128), "passwordEncryptionAlgorithm" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "tagAnnotation" bigint, "granteePrivilege" bigint, "grantorPrivilege" bigint, "defaultNamespace" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_ColumnListRoutineParameter" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "kind" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "ordinal" integer default 0, "precision" integer, "scale" integer, "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "sourceCursorName" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "behavioralFeature" bigint, "event" bigint, "type" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "defaultValue$Comp$CwmParameter" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_Jar" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "url" longvarchar, "deploymentState" integer default 0, "modelExtension" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_KeyComponent" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ordinal" integer default 0, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "keyConstraint" bigint, "attribute" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_LocalCatalog" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "defaultCharacterSetName" varchar(128), "defaultCollationName" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_LocalSchema" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "importedElement" bigint, "tagAnnotation" bigint, "pathElement" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_LocalView" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "isReadOnly" bit default false, "checkOption" bit default false, "modality" varchar(128), "analyzeTime" varchar(128), "rowCount" bigint, "lastAnalyzeRowCount" bigint, "deletedRowCount" bigint, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "originalDefinition" longvarchar, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "optionScopeColumn" bigint, "type" bigint, "usingTrigger" bigint, "rowCountStats" bigint, "sampleDataset" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, "queryExpression$Comp$CwmView" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_PrimaryKeyConstraint" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deferrability" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "keyRelationship" bigint, "tagAnnotation" bigint, "component" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_RoutineParameter" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "kind" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "ordinal" integer default 0, "precision" integer, "scale" integer, "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "behavioralFeature" bigint, "event" bigint, "type" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "defaultValue$Comp$CwmParameter" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_Routine" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "isQuery" bit default false, "type" varchar(128), "isAbstract" bit default false, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "invocationName" varchar(128), "externalName" longvarchar, "newSavepointLevel" bit default false, "dynamicResultSetCount" integer default 0, "staticDispatch" bit default false, "parameterStyle" varchar(128), "impersonateDefiner" bit default false, "deterministic" bit default false, "dataAccess" varchar(128), "calledOnNullInput" bit default false, "language" varchar(128), "isUdx" bit default false, "dynamicFunction" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "parameter" bigint, "specification" bigint, "ownedElement" bigint, "feature" bigint, "tagAnnotation" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "columnSetUsesSampleDataset_UsingDataset" bigint, "body$Comp$CwmMethod" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLArrayType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLDistinguishedType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "length" integer, "precision" integer, "scale" integer, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "isFinal" bit default false, "collationName" varchar(128), "characterSetName" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "type" bigint, "sqlSimpleType" bigint, "tagAnnotation" bigint, "ordering" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLMultisetType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLObjectType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "isFinal" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "referencingColumn" bigint, "columnSet" bigint, "tagAnnotation" bigint, "ordering" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLPathElement" ("mofId" bigint not null, "searchedSchemaCatalogName" varchar(128), "searchedSchemaName" varchar(128), "definingSchema" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLRowType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "referencingColumn" bigint, "columnSet" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "indexSpansClass_Index" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SQLTypeAttribute" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "ownerScope" varchar(128), "changeability" varchar(128), "ordering" varchar(128), "targetScope" varchar(128), "precision" integer, "scale" integer, "isNullable" varchar(128), "length" integer, "collationName" varchar(128), "characterSetName" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "ordinal" integer default 0, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "owner" bigint, "type" bigint, "optionScopeColumnSet" bigint, "referencedTableType" bigint, "tagAnnotation" bigint, "keyComponent" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "featureSlot_Slot" bigint, "unionDiscriminator_DiscriminatedUnion" bigint, "indexedFeatures_IndexedFeature" bigint, "keyRelationshipFeatures_KeyRelationship" bigint, "uniqueFeature_UniqueKey" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, "multiplicity$Comp$CwmStructuralFeature" bigint, "initialValue$Comp$CwmAttribute" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SampleDataset" ("mofId" bigint not null, "name" varchar(128), "baselineTimestamp" varchar(128), "usedColumnSet" bigint, "owningColumnSet" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_SequenceGenerator" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "baseValue" bigint default 0, "increment" bigint default 0, "minValue" bigint default 0, "maxValue" bigint default 0, "cycle" bit default false, "expired" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "tagAnnotation" bigint, "column" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_TagAnnotation" ("mofId" bigint not null, "name" varchar(128), "value" longvarchar, "element" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_Timestamp" ("mofId" bigint not null, primary key ("mofId"));
create table "${tablePrefix}Sql2003_UniqueKeyConstraint" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "deferrability" varchar(128), "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "feature" bigint, "keyRelationship" bigint, "tagAnnotation" bigint, "component" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_UserDefinedOrdering" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "category" varchar(128), "full" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "type" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "taggedElement_TaggedValue" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
create table "${tablePrefix}Sql2003_UserDefinedType" ("mofId" bigint not null, "name" varchar(128), "visibility" varchar(128), "isAbstract" bit default false, "typeNumber" integer, "description" longvarchar, "lineageId" varchar(128), "creationTimestamp" varchar(128), "modificationTimestamp" varchar(128), "isFinal" bit default false, "clientDependency" bigint, "constraint" bigint, "importer" bigint, "namespace" bigint, "ownedElement" bigint, "feature" bigint, "tagAnnotation" bigint, "ordering" bigint, "dependencySupplier_SupplierDependency" bigint, "stereotypedElement_Stereotype" bigint, "structuralFeatureType_StructuralFeature" bigint, "taggedElement_TaggedValue" bigint, "parameterType_Parameter" bigint, "instanceClassifier_Instance" bigint, "classifierAlias_Alias" bigint, "userAssignedNamespace_NamespaceAssignee" bigint, "privilegeIsGrantedOnElement_Privilege" bigint, primary key ("mofId"));
alter table "${tablePrefix}AssocManyToManyOrderedTarget" add constraint ${tablePrefix}AssocM2MOrdMofIdIndex foreign key ("mofId") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}AssocManyToManyTarget" add constraint ${tablePrefix}AssocM2MMofIdIndex foreign key ("mofId") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}AssocOneToManyChildren" add constraint ${tablePrefix}AssocO2MMofIdIndex foreign key ("mofId") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}AssocOneToManyHCChildren" add constraint ${tablePrefix}AssocO2MHCMofIdIndex foreign key ("mofId") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}AssocOneToManyOrderedChildren" add constraint ${tablePrefix}AssocO2MOrdMofIdIndex foreign key ("mofId") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BFE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF49781114 foreign key ("value$Comp$CwmArgument") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BFE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BFF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Argument" add constraint ${tablePrefix}FKDBEB36BF3F092634 foreign key ("callAction") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B61C85FE6B foreign key ("actualArgument") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_CallAction" add constraint ${tablePrefix}FK7E1F05B6631AD567 foreign key ("operation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D83334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D8E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D8747EB3A9 foreign key ("parameter") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D81CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D8E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D8F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Event" add constraint ${tablePrefix}FKA07F69D84AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C4957795305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C495771CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C4957796F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C4957743944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C495774AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C495773334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C4957733150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C495774FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Interface" add constraint ${tablePrefix}FK38C49577FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC1632D49FCA7 foreign key ("body$Comp$CwmMethod") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC16333150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC1633334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC163E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC163747EB3A9 foreign key ("parameter") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC1631CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC1634DEA4103 foreign key ("specification") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC163E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC163F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC16343944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC1634AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Method" add constraint ${tablePrefix}FK7C2BC163653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA533150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA53334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5DBA5E749 foreign key ("calledOperation_CallAction") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5747EB3A9 foreign key ("parameter") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA51CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5BFC5D0E1 foreign key ("method") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA543944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA54AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Operation" add constraint ${tablePrefix}FK7DE9FDA5653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE733150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE73334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE78FA7DA39 foreign key ("behavioralFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE7E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE75C6729A foreign key ("event") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE71CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE7368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE7E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE7F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE743944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE74AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Behavioral_Parameter" add constraint ${tablePrefix}FK8F4DDBE79589D4B1 foreign key ("defaultValue$Comp$CwmParameter") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Config_FarragoConfig" add constraint ${tablePrefix}FK7EB155934194DA88 foreign key ("fennelConfig") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Config_FennelConfig" add constraint ${tablePrefix}FK212EB8656B0F77D0 foreign key ("farragoConfig") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCCF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC39AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCA9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCAD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC51932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FCE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Attribute" add constraint ${tablePrefix}FKD2AC85FC653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Core_BooleanExpression" add constraint ${tablePrefix}FKCB9144403E3BEE95 foreign key ("actionCondition$Comp$CwmTrigger") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_BooleanExpression" add constraint ${tablePrefix}FKCB9144406903EEA3 foreign key ("body$Comp$CwmConstraint") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D895305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D81CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D896F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D84AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D83334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D84FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Class" add constraint ${tablePrefix}FKFFFF34D8FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67DE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D6C4DC5AD foreign key ("stereotypeConstraints_ConstrainedStereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67DDDE4A5C6 foreign key ("constrainedElement") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D6903EEA3 foreign key ("body$Comp$CwmConstraint") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67DE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67DF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Constraint" add constraint ${tablePrefix}FK5F5DA67D4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A495305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A41CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A496F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A44AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A43334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A44FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_DataType" add constraint ${tablePrefix}FKE50546A4FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EBE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EBAF12F3CB foreign key ("client") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EBE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EBF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB9CDBF9CC foreign key ("supplier") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Dependency" add constraint ${tablePrefix}FK692563EB4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Expression" add constraint ${tablePrefix}FKFFB22338324CD1FF foreign key ("value$Comp$CwmEnumerationLiteral") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Expression" add constraint ${tablePrefix}FKFFB22338828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Expression" add constraint ${tablePrefix}FKFFB2233849781114 foreign key ("value$Comp$CwmArgument") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Expression" add constraint ${tablePrefix}FKFFB22338356A658B foreign key ("memberCase$Comp$CwmUnionMember") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Expression" add constraint ${tablePrefix}FKFFB223389589D4B1 foreign key ("defaultValue$Comp$CwmParameter") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D8689DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D868933150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D86893334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D8689E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D8689C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D86891CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D868996F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D8689E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D8689F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D868943944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Model" add constraint ${tablePrefix}FK8D86894AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_MultiplicityRange" add constraint ${tablePrefix}FK74F3465EF7E157F foreign key ("multiplicity") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Multiplicity" add constraint ${tablePrefix}FKA6D2FE1F674393D foreign key ("range") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Multiplicity" add constraint ${tablePrefix}FKA6D2FE1F39AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A6DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A6C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A696F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Package" add constraint ${tablePrefix}FK9A0967A64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_ProcedureExpression" add constraint ${tablePrefix}FKDF5CE92B2D49FCA7 foreign key ("body$Comp$CwmMethod") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_ProcedureExpression" add constraint ${tablePrefix}FKDF5CE92B720E82E9 foreign key ("actionStatement$Comp$CwmTrigger") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD215A4837B foreign key ("requiredTag") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD23334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD2E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD21CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD2EA02A783 foreign key ("extendedElement") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD248A386AF foreign key ("stereotypeConstraint") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD2E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD2F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Stereotype" add constraint ${tablePrefix}FK93BFFBD24AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFC7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCF4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Core_Subsystem" add constraint ${tablePrefix}FKF1CB5BCFFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_TaggedValue" add constraint ${tablePrefix}FKF515B6C529096B32 foreign key ("stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Core_TaggedValue" add constraint ${tablePrefix}FKF515B6C594978B93 foreign key ("modelElement") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F83334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F8324CD1FF foreign key ("value$Comp$CwmEnumerationLiteral") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F8E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F81CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F85ADB0A47 foreign key ("enumeration") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F8E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F8F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_EnumerationLiteral" add constraint ${tablePrefix}FKD09627F84AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B795305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B71CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B796F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B743944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B74AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B73334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B733150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B74FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7AE020AF foreign key ("literal") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Enumeration" add constraint ${tablePrefix}FK9A924B7FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_QueryExpression" add constraint ${tablePrefix}FKE3458FF04798D24 foreign key ("query$Comp$CwmQueryColumnSet") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_QueryExpression" add constraint ${tablePrefix}FKE3458FF0641B64CD foreign key ("queryExpression$Comp$CwmView") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A695305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A696F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A64FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_TypeAlias" add constraint ${tablePrefix}FKE0BC81A6FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9CF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B939AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B91CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9A9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9AD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B943944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B94AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B93334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B933150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B951932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9356A658B foreign key ("memberCase$Comp$CwmUnionMember") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}DataTypes_UnionMember" add constraint ${tablePrefix}FKD1AB50B9653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053F8F73469C foreign key ("discriminator") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}DataTypes_Union" add constraint ${tablePrefix}FK6F3053FFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BDE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD1854F3C3 foreign key ("slotValue_ValueSlot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BDE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BDF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BD4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_DataValue" add constraint ${tablePrefix}FK945060BDEF391A21 foreign key ("classifier") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A14DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A1433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A143334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A14E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A14C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A141CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A1496F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A14E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A14F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A1443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Extent" add constraint ${tablePrefix}FK20BC6A144AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E2933150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E293334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E29E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E291854F3C3 foreign key ("slotValue_ValueSlot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E2935E9FE foreign key ("slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E291CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E29E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E29F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E2943944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E294AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Object" add constraint ${tablePrefix}FK30924E29EF391A21 foreign key ("classifier") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD29476833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD2947683334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD294768E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD2947681CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD294768C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD2947686AC9171 foreign key ("value") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD294768E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD294768F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD29476843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD294768C300A33F foreign key ("object") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Instance_Slot" add constraint ${tablePrefix}FKDD2947684AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF9E2108C5 foreign key ("indexedFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FFE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FFE350D35 foreign key ("spannedClass") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FFE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FFF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_Index" add constraint ${tablePrefix}FK5154B2FF4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA1385FB28D2 foreign key ("index") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA13833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA1383334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA138E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA1381CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA138C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA138E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA138F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA13843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_IndexedFeature" add constraint ${tablePrefix}FK8ECBA1384AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC482433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC48243334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC4824E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC48241CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC4824C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC4824E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC4824F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC4824DFE9BCCE foreign key ("uniqueKey") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC482443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_KeyRelationship" add constraint ${tablePrefix}FK85FC48244AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687BE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687BC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B6153D237 foreign key ("keyRelationship") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687BE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687BF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}KeysIndexes_UniqueKey" add constraint ${tablePrefix}FK71E8687B4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ColumnHistogramBar" add constraint ${tablePrefix}FKCD806C1866D40164 foreign key ("histogram") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ColumnHistogram" add constraint ${tablePrefix}FK738D11FBAF3ED356 foreign key ("column") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ColumnHistogram" add constraint ${tablePrefix}FK738D11FB17C13 foreign key ("bar") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC624201CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC624208014A92C foreign key ("columnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC6242096F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC6242043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC624204AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC624203334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC6242033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC624205F198493 foreign key ("wrapper") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC6242079D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataServer" add constraint ${tablePrefix}FKDC62420E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B5633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B563334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B56E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B561CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B56CA022F43 foreign key ("server") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B5679D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B56FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B56E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B56F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B5643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_DataWrapper" add constraint ${tablePrefix}FK93D42B564AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ElementWithStorageOptions" add constraint ${tablePrefix}FK8AA9D13279D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ElementWithStorageOptions" add constraint ${tablePrefix}FK8AA9D132FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DC0D355B8 foreign key ("trigger") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DFB24624A foreign key ("rowCountStats") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DCA022F43 foreign key ("server") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DB59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D3E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D9036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DA71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D79D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572D96A1036E foreign key ("sampleDataset") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ForeignTable" add constraint ${tablePrefix}FK9FA3572DFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_IndexStatistics" add constraint ${tablePrefix}FKBECEBAE24C7C4427 foreign key ("localIndex") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E8133150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E813334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E81E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E811CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E815899650 foreign key ("alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E81FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E81E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E81F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E813B6E606A foreign key ("parentLabel") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E8143944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_Label" add constraint ${tablePrefix}FKE4D42E814AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B05FB28D2 foreign key ("index") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B03334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B0E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B01CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B0C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B0E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B0F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalIndexColumn" add constraint ${tablePrefix}FK4A010B04AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA9E2108C5 foreign key ("indexedFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA2BDF5EED foreign key ("indexStats") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BAE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BAE350D35 foreign key ("spannedClass") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BAFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BAE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BAF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalIndex" add constraint ${tablePrefix}FKEF844BA4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B695305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6C0D355B8 foreign key ("trigger") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B696F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6FB24624A foreign key ("rowCountStats") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6CA022F43 foreign key ("server") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6B59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B63E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B69036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B64FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B679D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B696A1036E foreign key ("sampleDataset") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_LocalTable" add constraint ${tablePrefix}FKF8D57B6FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B43DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B4333150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B433334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B43E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B431CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B4396F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B43E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B43F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B4343944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_RecoveryReference" add constraint ${tablePrefix}FKF7DD5B434AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_RowCountStatistics" add constraint ${tablePrefix}FKB3D1A3EB8014A92C foreign key ("columnSet") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_StorageOption" add constraint ${tablePrefix}FKBB0B815DC49C5D9 foreign key ("storedElement") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACCF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC39AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACA9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC7B4D5AF foreign key ("referencedTableType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC9032595E foreign key ("keyComponent") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACAD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC51932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC507077C1 foreign key ("sequence") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC462D4D0D foreign key ("optionScopeColumnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC66D40164 foreign key ("histogram") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC79D12BA3 foreign key ("storageOptions") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784ACE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_StoredColumn" add constraint ${tablePrefix}FK10A784AC653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEECF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE39AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEA9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE7B4D5AF foreign key ("referencedTableType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE9032595E foreign key ("keyComponent") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEAD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE51932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE462D4D0D foreign key ("optionScopeColumnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE66D40164 foreign key ("histogram") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEEE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Med_ViewColumn" add constraint ${tablePrefix}FK37E7AAEE653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB01DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB0133150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB013334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB01E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB01C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB011CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB0196F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB01E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB01F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB0143944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Catalog" add constraint ${tablePrefix}FKA98EBB014AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FEDE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED6C4DC5AD foreign key ("stereotypeConstraints_ConstrainedStereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FEDDDE4A5C6 foreign key ("constrainedElement") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED6903EEA3 foreign key ("body$Comp$CwmConstraint") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FEDE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FEDF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_CheckConstraint" add constraint ${tablePrefix}FK52E21FED4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA1495305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA141CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA1496F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA1443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA144AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA143334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA1433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA144FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14B59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnSet" add constraint ${tablePrefix}FKAA18EA14FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA333150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA33334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA3E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA31854F3C3 foreign key ("slotValue_ValueSlot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA31CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA3E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA3F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA343944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA34AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ColumnValue" add constraint ${tablePrefix}FK87AF1AA3EF391A21 foreign key ("classifier") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6ECF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E39AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6EA9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6EF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E7B4D5AF foreign key ("referencedTableType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6EAD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E51932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6EE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E462D4D0D foreign key ("optionScopeColumnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6EE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Column" add constraint ${tablePrefix}FK2F847B6E653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E10333150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E1033334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E103E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E1031CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E103C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E103E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E103F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E103DFE9BCCE foreign key ("uniqueKey") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E10343944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_ForeignKey" add constraint ${tablePrefix}FK8F99E1034AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BA71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BB59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B3E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120B9036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_NamedColumnSet" add constraint ${tablePrefix}FK108F120BFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D1533150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D153334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D15E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D151CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D15C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D156153D237 foreign key ("keyRelationship") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D15E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D15F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D1543944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_PrimaryKey" add constraint ${tablePrefix}FKCA861D154AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB2D49FCA7 foreign key ("body$Comp$CwmMethod") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BBE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB747EB3A9 foreign key ("parameter") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB4DEA4103 foreign key ("specification") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BBE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BBF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Procedure" add constraint ${tablePrefix}FKE8BCC3BB653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CA71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C4798D24 foreign key ("query$Comp$CwmQueryColumnSet") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215C4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CB59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_QueryColumnSet" add constraint ${tablePrefix}FKB47B215CFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC40DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC4033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC403334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC40E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC40C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC401CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC4096F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC40E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC40F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC4043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_RowSet" add constraint ${tablePrefix}FK4921AC404AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C23334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C2E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C21854F3C3 foreign key ("slotValue_ValueSlot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C235E9FE foreign key ("slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C21CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C2E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C2F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C24AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Row" add constraint ${tablePrefix}FKEE2C8C2EF391A21 foreign key ("classifier") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C7C3F3C7A foreign key ("sqlSimpleType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102C4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLDistinctType" add constraint ${tablePrefix}FKC8DE102CFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F4325FB28D2 foreign key ("index") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F43233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F4323334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F432E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F4321CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F432C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F432E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F432F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F43243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLIndexColumn" add constraint ${tablePrefix}FK942F4324AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC9E2108C5 foreign key ("indexedFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BCE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BCE350D35 foreign key ("spannedClass") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BCE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BCF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLIndex" add constraint ${tablePrefix}FK726471BC4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E5779333150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577933334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577938FA7DA39 foreign key ("behavioralFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E57793E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577935C6729A foreign key ("event") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577931CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E57793368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E57793E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E57793F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E5779343944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577934AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLParameter" add constraint ${tablePrefix}FK87E577939589D4B1 foreign key ("defaultValue$Comp$CwmParameter") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC56295305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC5621CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC56296F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC56243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC5624AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC5623334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC56233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC5624FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562C8A5A875 foreign key ("distinctTypeHasSimpleType_SqlDistinctType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLSimpleType" add constraint ${tablePrefix}FK41DC562FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD226928195305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD22692811CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD22692818014A92C foreign key ("columnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281BA515EBE foreign key ("referencingColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD226928196F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD226928143944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD22692814AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD22692813334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD226928133150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD22692814FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_SQLStructuredType" add constraint ${tablePrefix}FKD2269281FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB9DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB933150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB93334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB9E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB9C7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB91CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB996F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB9E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB9F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB943944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Schema" add constraint ${tablePrefix}FK4A26DDB94AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B695305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6C0D355B8 foreign key ("trigger") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B696F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B64FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6B59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B63E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B69036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Table" add constraint ${tablePrefix}FKE16930B6FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A03334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A0E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A0720E82E9 foreign key ("actionStatement$Comp$CwmTrigger") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A01CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A06903BCE foreign key ("table") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A03E3BEE95 foreign key ("actionCondition$Comp$CwmTrigger") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A09920C1EF foreign key ("usedColumnSet") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A0E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A0F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_Trigger" add constraint ${tablePrefix}FK4942B0A04AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A63334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A6E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A61CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A6C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A66153D237 foreign key ("keyRelationship") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A6E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A6F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_UniqueConstraint" add constraint ${tablePrefix}FK66816A64AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD95305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDA71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD641B64CD foreign key ("queryExpression$Comp$CwmView") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD4FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDB59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD3E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDBA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BD9036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Relational_View" add constraint ${tablePrefix}FKCD7808BDFE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_Grant" add constraint ${tablePrefix}FKACAD075D10B4F6BC foreign key ("grantee") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Grant" add constraint ${tablePrefix}FKACAD075D10B4F7FF foreign key ("grantor") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Grant" add constraint ${tablePrefix}FKACAD075D9CE31EFC foreign key ("element") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE1533150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE153334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE15E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE151CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE15C485AD72 foreign key ("grantorPrivilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE15FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE15E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE15F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE158BDBF355 foreign key ("granteePrivilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE1543944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_Role" add constraint ${tablePrefix}FK596EE154AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AB698181A foreign key ("defaultNamespace") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AC485AD72 foreign key ("grantorPrivilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596AF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A8BDBF355 foreign key ("granteePrivilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Security_User" add constraint ${tablePrefix}FK598596A4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB698FA7DA39 foreign key ("behavioralFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB691CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB69368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB69F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB69FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB694AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB6943944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB699589D4B1 foreign key ("defaultValue$Comp$CwmParameter") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB693334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB6933150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB69E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB695C6729A foreign key ("event") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_ColumnListRoutineParameter" add constraint ${tablePrefix}FKA94FFB69E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352BDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352BE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352BFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352BE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352BF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Jar" add constraint ${tablePrefix}FK3179352B4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304EE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304EC7AA9C foreign key ("attribute") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304EE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304EF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_KeyComponent" add constraint ${tablePrefix}FKD0B0304E856B659C foreign key ("keyConstraint") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EC7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11EF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalCatalog" add constraint ${tablePrefix}FKC44D11E4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC96F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCDE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCC7F6DF58 foreign key ("importedElement") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFC167A4F17 foreign key ("pathElement") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_LocalSchema" add constraint ${tablePrefix}FKD1770FFCE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC095305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC01CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC096F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0641B64CD foreign key ("queryExpression$Comp$CwmView") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC04AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC03334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC04FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0FB24624A foreign key ("rowCountStats") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0B59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC03E18F494 foreign key ("usingTrigger") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC096A1036E foreign key ("sampleDataset") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC09036A315 foreign key ("optionScopeColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_LocalView" add constraint ${tablePrefix}FK68A5EFC0FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAAC8F1CFD foreign key ("component") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA6153D237 foreign key ("keyRelationship") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AAF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_PrimaryKeyConstraint" add constraint ${tablePrefix}FK801FC1AA4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE358FA7DA39 foreign key ("behavioralFeature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE351CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE35368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE35F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE35FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE354AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE3543944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE359589D4B1 foreign key ("defaultValue$Comp$CwmParameter") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE353334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE3533150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE35E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE355C6729A foreign key ("event") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_RoutineParameter" add constraint ${tablePrefix}FKB4B8EE35E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D495305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D41CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D496F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D44AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D42D49FCA7 foreign key ("body$Comp$CwmMethod") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D43334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D44FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4747EB3A9 foreign key ("parameter") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4B59891DD foreign key ("columnSetUsesSampleDataset_UsingDataset") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D44DEA4103 foreign key ("specification") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_Routine" add constraint ${tablePrefix}FK79AAF3D4FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F595305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F51CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F596F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F543944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F54AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F53334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F533150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F54FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLArrayType" add constraint ${tablePrefix}FK79F905F5FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E095305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E01CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E096F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E043944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E04AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E07C3F3C7A foreign key ("sqlSimpleType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E03334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E033150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E04FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0499225D4 foreign key ("ordering") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLDistinguishedType" add constraint ${tablePrefix}FK25C915E0FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK4459936195305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK445993611CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK4459936196F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK4459936143944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK445993614AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK445993613334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK4459936133150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK445993614FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLMultisetType" add constraint ${tablePrefix}FK44599361FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C229795305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C22971CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C22978014A92C foreign key ("columnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297BA515EBE foreign key ("referencingColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C229796F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C229743944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C22974AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C22973334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C229733150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C22974FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297499225D4 foreign key ("ordering") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLObjectType" add constraint ${tablePrefix}FK4D9C2297FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLPathElement" add constraint ${tablePrefix}FKC91B8B59BD32EB79 foreign key ("definingSchema") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED7695305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76A71D1DF4 foreign key ("indexSpansClass_Index") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED761CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED768014A92C foreign key ("columnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76BA515EBE foreign key ("referencingColumn") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED7696F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED7643944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED764AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED763334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED7633150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED764FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLRowType" add constraint ${tablePrefix}FK9242ED76FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044CF705569 foreign key ("featureSlot_Slot") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF04439AEBD70 foreign key ("multiplicity$Comp$CwmStructuralFeature") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044493146D4 foreign key ("uniqueFeature_UniqueKey") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF0441CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044A9F8B5E9 foreign key ("unionDiscriminator_DiscriminatedUnion") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044368F3A foreign key ("type") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF0447B4D5AF foreign key ("referencedTableType") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF0449032595E foreign key ("keyComponent") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044AD23CCF6 foreign key ("indexedFeatures_IndexedFeature") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF04443944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF0444AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF0443334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF04433150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044828D741 foreign key ("initialValue$Comp$CwmAttribute") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF04451932B6C foreign key ("keyRelationshipFeatures_KeyRelationship") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044462D4D0D foreign key ("optionScopeColumnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SQLTypeAttribute" add constraint ${tablePrefix}FK42DAF044653F2B3 foreign key ("owner") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SampleDataset" add constraint ${tablePrefix}FK65DE0A7E9920C1EF foreign key ("usedColumnSet") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SampleDataset" add constraint ${tablePrefix}FK65DE0A7ED3BD85F0 foreign key ("owningColumnSet") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B2233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B223334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B22E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B221CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B22AF3ED356 foreign key ("column") references "${tablePrefix}AssocOneToOne";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B22FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B22E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B22F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B2243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_SequenceGenerator" add constraint ${tablePrefix}FK51536B224AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_TagAnnotation" add constraint ${tablePrefix}FKCF1155799CE31EFC foreign key ("element") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B33150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B3334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BE5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B1CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BC5A27AF6 foreign key ("feature") references "${tablePrefix}AssocManyToManyOrdered";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BAC8F1CFD foreign key ("component") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B6153D237 foreign key ("keyRelationship") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BFFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BE6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005BF4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B43944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UniqueKeyConstraint" add constraint ${tablePrefix}FK46EF005B4AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C2DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C233150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C23334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C2E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C21CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C2368F3A foreign key ("type") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C296F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C2E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C2F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C243944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedOrdering" add constraint ${tablePrefix}FK9820A6C24AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B72895305E3E foreign key ("instanceClassifier_Instance") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B7281CD9A176 foreign key ("clientDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728C5A27AF6 foreign key ("feature") references "${tablePrefix}AssocOneToManyOrdered";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B72896F57097 foreign key ("ownedElement") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728F4A715DD foreign key ("constraint") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728FFD44E69 foreign key ("tagAnnotation") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B72843944A4F foreign key ("privilegeIsGrantedOnElement_Privilege") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B7284AA3555B foreign key ("namespace") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728DE40D3CD foreign key ("userAssignedNamespace_NamespaceAssignee") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B7283334755F foreign key ("dependencySupplier_SupplierDependency") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B72833150787 foreign key ("stereotypedElement_Stereotype") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728E5F1E576 foreign key ("taggedElement_TaggedValue") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B7284FB80CD foreign key ("parameterType_Parameter") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728BA70702D foreign key ("structuralFeatureType_StructuralFeature") references "${tablePrefix}AssocOneToManyHC";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728E6D32B12 foreign key ("importer") references "${tablePrefix}AssocManyToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728499225D4 foreign key ("ordering") references "${tablePrefix}AssocOneToMany";
alter table "${tablePrefix}Sql2003_UserDefinedType" add constraint ${tablePrefix}FKC16B728FE9942A0 foreign key ("classifierAlias_Alias") references "${tablePrefix}AssocOneToMany";
create index "${tablePrefix}AssocOneToManyChildrenIndex" on "${tablePrefix}AssocOneToManyChildren" ( "childId");
create index "${tablePrefix}AssocOneToManyHCChildrenIndex" on "${tablePrefix}AssocOneToManyHCChildren" ( "childId");
create index "${tablePrefix}AssocOneToManyOrderedChildrenIndex" on "${tablePrefix}AssocOneToManyOrderedChildren" ( "childId");
create index "${tablePrefix}AssocManyToManyTargetIndex" on "${tablePrefix}AssocManyToManyTarget" ( "childId");
create index "${tablePrefix}AssocManyToManyOrderedTargetIndex" on "${tablePrefix}AssocManyToManyOrderedTarget" ( "childId");
